Want to skip the docs? Use the MCP Server
Endpoint availability: Premium and aboveLearn more
{
"data": {
"asn": "AS9112",
"name": "POZMAN",
"country": "PL",
"org": "Institute of Bioorganic Chemistry Polish Academy of Science, Poznan Supercomputing and Networking Center",
"phone": "+48 61 8582010",
"email": null,
"domain": "poznan.pl",
"status": "ASSIGNED",
"created": "2004-04-17T11:47:57Z",
"type": "education",
"registry": "RIPE",
"prefixes": {
"ipv4": ["150.254.0.0/16", "62.3.160.0/19"],
"ipv6": ["2001:808::/35"],
"total": 3
}
},
"status": "success",
"executionTime": 0
}
ASN Lookup
curl --request GET \
--url https://greipapi.com/lookup/asn \
--header 'Authorization: Bearer <token>'{
"data": {
"asn": "AS9112",
"name": "POZMAN",
"country": "PL",
"org": "Institute of Bioorganic Chemistry Polish Academy of Science, Poznan Supercomputing and Networking Center",
"phone": "+48 61 8582010",
"email": null,
"domain": "poznan.pl",
"status": "ASSIGNED",
"created": "2004-04-17T11:47:57Z",
"type": "education",
"registry": "RIPE",
"prefixes": {
"ipv4": ["150.254.0.0/16", "62.3.160.0/19"],
"ipv6": ["2001:808::/35"],
"total": 3
}
},
"status": "success",
"executionTime": 0
}
Data Lookup
ASN Lookup
This API method allows you to look up any given Autonomous System Number (ASN) and retrieve comprehensive data associated with it.
The information returned includes the ASN name, organization name, country, associated domain, contact email, phone number, and more. This functionality is essential for network analysis, troubleshooting, and understanding the infrastructure behind IP addresses.
Want to skip the docs? Use the MCP Server
Endpoint availability: Premium and aboveLearn more
{
"data": {
"asn": "AS9112",
"name": "POZMAN",
"country": "PL",
"org": "Institute of Bioorganic Chemistry Polish Academy of Science, Poznan Supercomputing and Networking Center",
"phone": "+48 61 8582010",
"email": null,
"domain": "poznan.pl",
"status": "ASSIGNED",
"created": "2004-04-17T11:47:57Z",
"type": "education",
"registry": "RIPE",
"prefixes": {
"ipv4": ["150.254.0.0/16", "62.3.160.0/19"],
"ipv6": ["2001:808::/35"],
"total": 3
}
},
"status": "success",
"executionTime": 0
}
GET
/
lookup
/
asn
ASN Lookup
curl --request GET \
--url https://greipapi.com/lookup/asn \
--header 'Authorization: Bearer <token>'{
"data": {
"asn": "AS9112",
"name": "POZMAN",
"country": "PL",
"org": "Institute of Bioorganic Chemistry Polish Academy of Science, Poznan Supercomputing and Networking Center",
"phone": "+48 61 8582010",
"email": null,
"domain": "poznan.pl",
"status": "ASSIGNED",
"created": "2004-04-17T11:47:57Z",
"type": "education",
"registry": "RIPE",
"prefixes": {
"ipv4": ["150.254.0.0/16", "62.3.160.0/19"],
"ipv6": ["2001:808::/35"],
"total": 3
}
},
"status": "success",
"executionTime": 0
}
Query Parameters
The asn command is used to specify the AS Number you want to lookup.Sample value:
AS6167 or 6167The format command is used to get a response in a specific format.Expected values:
JSON, XML, CSV, or NewlineFor more information please refer to Response Format.The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.Expected values:
live, or test.For more information please refer to Development Environment.The callback command can help you make the response as a JSONP format.Expected values: any name that can be used as a function name in Javascript, e.g:
myFunctionName.For more information please refer to JSONP Callback.Response properties
Hide properties
Hide properties
Autonomous System Number youâre looking up.
Name of the organization.
Country code of the organization.
Organization name.
Phone number contact for the organization.
Email contact for the organization.
Domain associated with the organization.
Status of the organization.
Date of organization creation.
Type of organization (âispâ, âhostingâ, âbusinessâ, âeducationâ, or
âgovernmentâ).
Registration information of the organization.
Response status (
success, or error).Time taken to process the data (in milliseconds).
Was this page helpful?
âI